Search
Contactez-nous Suivez-nous sur Twitter En francais English Language
 

De la Théorie à la pratique











Freely subscribe to our NEWSLETTER

Newsletter FR

Newsletter EN

Vulnérabilités

Unsubscribe

Vigil@nce - GNOME vte: denial of service via insert-blank-characters

July 2011 by Vigil@nce

This bulletin was written by Vigil@nce : http://vigilance.fr/offer

SYNTHESIS OF THE VULNERABILITY

An attacker can invite the victim to display a text document with gnome-terminal (GNOME vte), in order to create a denial of service.

Severity: 1/4

Creation date: 13/07/2011

IMPACTED PRODUCTS

- Unix - plateform

DESCRIPTION OF THE VULNERABILITY

The gnome-terminal terminal uses the GNOME vte (Virtual Terminal Emulation) library (widget).

A terminal support ANSI sequences, which are used to alter the display:

- ^[ line; column H : move to the (line,column) screen coordinates
- ^[ num A : go up of num lines
- ^[ num @ : insert num spaces ("insert-blank-characters")
- etc.

However, vte does not limit the number of spaces which can be inserted with "insert-blank-characters". The terminal thus consumes a lot a resources to display the spaces.

An attacker can therefore invite the victim to display a text document with gnome-terminal (GNOME vte), in order to create a denial of service.

ACCESS TO THE COMPLETE VIGIL@NCE BULLETIN

http://vigilance.fr/vulnerability/G...




See previous articles

    

See next articles